Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002178KdenliveFile Loadingpublic2011-06-20 19:432011-11-01 18:56
Reporterigloo 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSDebianOS Versionunstable
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002178: Proxying causes error: The project file contains clips with duration mismatch
Description
Proxying causes the error "The project file contains clips with duration mismatch". Reproduction steps use this clip:
    http://the.earth.li/~igloo/kdenlive_problem/duration_mismatch.MTS [^]
but it seems to happen with several clips in different formats.

I have svn revision r5720.
Steps To ReproduceStart kdenlive (I'm using profile "HS 1080p 50 fps").
Add duration_mismatch.MTS clip to project.
Right click it, and select "Proxy clip" (I'm using "Normal MPEG", "-f mpegts -acodec copy -vcodec mpeg2video -g 5 -deinterlace -s 480x270 -b 150k").
Wait for the proxy to be generated.
Drag the clip to the start of the timeline.
Save the project as b1.
Quit kdenlive.

Run "kdenlive b1.kdenlive".
Right click the clip, and de-select "Proxy clip".
Right click the clip, and select "Proxy clip".
Save the project.
Quit kdenlive.

Run "kdenlive b1.kdenlive".
kdenlive says "The project file contains clips with duration mismatch",
listing duration_mismatch.MTS as the clip with the problem.

Looking at the .kdenlive files, it seems "duration" in the "kdenlive_producer" drops from 648 to 647.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0006924)
j-b-m (administrator)
2011-06-20 20:11

Thanks, I am looking at this...
(0006927)
j-b-m (administrator)
2011-06-20 22:29

Should be fixed in svn rev. 2563.
(0006928)
igloo (reporter)
2011-06-20 22:35

Great, thanks! I assume you mean rev. r5723?
(0006929)
j-b-m (administrator)
2011-06-20 22:40

Oh, yes rev. 5723

- Issue History
Date Modified Username Field Change
2011-06-20 19:43 igloo New Issue
2011-06-20 20:11 j-b-m Note Added: 0006924
2011-06-20 20:11 j-b-m Assigned To => j-b-m
2011-06-20 20:11 j-b-m Status new => acknowledged
2011-06-20 22:29 j-b-m Note Added: 0006927
2011-06-20 22:29 j-b-m Status acknowledged => feedback
2011-06-20 22:35 igloo Note Added: 0006928
2011-06-20 22:35 igloo Status feedback => assigned
2011-06-20 22:40 j-b-m Note Added: 0006929
2011-07-05 13:23 j-b-m Status assigned => resolved
2011-07-05 13:23 j-b-m Fixed in Version => 0.8.2
2011-07-05 13:23 j-b-m Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker